# qakit - tools for UEQA engineers
# Copyright (C) 2014 Thomi Richards
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

"""Functions for configuration parsing."""

import os.path
from configparser import ConfigParser


def get_config_file_location():
    """ Return the full, absolute path to the config file location. When the
    QAKIT_CONFIG env variable is defined, it is be used, otherwise it is
    used the default config file in .config dir"""
    return os.getenv('QAKIT_CONFIG', os.path.expanduser('~/.config/qakit.ini'))


class Config:

    def __init__(self):
        self.parser = ConfigParser()
        conf_file = os.getenv('QAKIT_CONFIG',
                              os.path.expanduser('~/.config/qakit.ini'))
        self.parser.read(conf_file)