

function drawAppStartUpSection(firstDraw) {
    $.getJSON("./data/app_startup_report.json", function(data) {
        if (firstDraw){
            process_app_startup_data(data);
        }
    }).fail(function(data, status) {
        console.log("Hiding Appstartup section");
        $("#app-startup-section").hide();
        $("#app-startup-link").hide();
    });
    $.getJSON("./data/app_startup_errors.json", function(data) {
        if (firstDraw){
            process_app_startup_errors(data);
        }
    }).fail(function(data, status) {
        console.log("Hiding Appstartup section");
        $("#app-startup-errors-subsection").hide();
    });
}

function process_app_startup_data(data) {
    $('#app-startup-channel').text('Channel: ' + data.channel);
    $('#app-startup-device').text('Device: ' + data.device);
    $('#app-startup-build-number').text('Build Number: ' + data.build_number);
    changelog = 'http://people.canonical.com/~lzemczak/landing-team/' + data.channel + '/' + data.device
    $('#app-startup-changelog').append('Changelog: <a href="' + changelog + '">link</a>');

    charts = data.charts
    for (var chart in charts) {
        title = charts[chart].title
        path = "./data/" + basename(charts[chart].path)
        id = title.toLowerCase() + "-app-startup-section"
        section = '<div class="perf-elem" id="' + id + '" parent-section="app-startup-section"><h2>' + title + '</h2><img src="' + path + '"/></div>'
        $( "#AppStartUpTable" ).append(section);

        link = '<li><a href="#' + id + '">' + title + '</a></li>'
        $( "#app-startup-sublinks" ).append(link);
    }
}

function process_app_startup_errors(data) {
    process_errors("#app-startup-errors-title", data)
}

