

var translucentGold = "rgba(255,215,0,0.2)"
var translucentGray = "rgba(194,209,240,0.1)"
var translucentLimeGreen = "rgba(50,205,50,0.1)"
var translucentRed = "rgba(255, 0, 0, 0.1)"
var translucentMediumBlue = "rgba(194,209,240,0.2)"
var translucentYellow = "rgba(255,215,0,0.2)"

var defaultChartConfig = {
    responsive: true,
    animation: false,
    bezierCurve: false,
    pointDotRadius: 2,
    pointHitDetectionRadius: 3,
    scaleFontSize: 8,
    legendTemplate: "<ul class=\"<%=name.toLowerCase()%>-legend\"><%=title%>"
        + "<% for (var i=0; i<datasets.length; i++) { %>"
        + "<li>"
        + "<span style=\"background-color:<%=datasets[i].pointColor%>\"></span>"
        + "<% if (datasets[i].label) { %><%= datasets[i].label %><% } %>"
        + "</li>"
        + "<% } %>"
        + "</ul>",
}

function randomColor() {
    r = Math.floor(Math.random() * 200);
    g = Math.floor(Math.random() * 200);
    b = Math.floor(Math.random() * 200);
    return 'rgb(' + r + ', ' + g + ', ' + b + ')';
}

function pieChart(data, canvasId) {
    var chartData = data.map(function(pair) {
	return {"label": pair.name, "value": pair.value, "color": randomColor()}});
    var options = {
	animateRotate: false
    };
    var ctx = document.getElementById(canvasId).getContext("2d");
    var chart = new Chart(ctx).Pie(chartData, options);
}

function drawApplicationsSection() {
    $.getJSON("./data/applications-manual.json", function(data) {
        pieChart(data, "applicationsManualChartCanvas");
    }).fail(function(data, status) {
        console.log("Hiding Manual Tests by Application section");
        $("#applications-manual-link").hide();
        $("#applications-manual-section").hide();
    });
    $.getJSON("./data/applications-automated.json", function(data) {
        pieChart(data, "applicationsAutomatedChartCanvas");
    }).fail(function(data, status) {
        console.log("Hiding Automated Tests by Application section");
        $("#applications-automated-link").hide();
        $("#applications-automated-section").hide();
    });
}

function drawDomainsSection() {
    $.getJSON("./data/domains-manual.json", function(data) {
        pieChart(data, "domainsManualChartCanvas");
    }).fail(function(data, status) {
        console.log("Hiding Manual Tests by Domain section");
        $("#domains-manual-link").hide();
        $("#domains-manual-section").hide();
    });
    $.getJSON("./data/domains-automated.json", function(data) {
        pieChart(data, "domainsAutomatedChartCanvas");
    }).fail(function(data, status) {
        console.log("Hiding Automated Tests by Domain section");
        $("#domains-automated-link").hide();
        $("#domains-automated-section").hide();
    });
}
