

function drawPerformanceSection(firstDraw) {
    $.getJSON("./data/performance_report.json", function(data) {
        if (firstDraw){
            process_performance_data(data);
        }
    }).fail(function(data, status) {
        console.log("Hiding Performance section");
        $("#performance-sections").hide();
        $("#performance-link").hide();
    });
    $.getJSON("./data/performance_errors.json", function(data) {
        if (firstDraw){
            process_performance_errors(data);
        }
    }).fail(function(data, status) {
        console.log("Hiding Performance section");
        $("#performance-errors-subsection").hide();
    });
}

function process_performance_data(data) {
    $('#performance-channel').text('Channel: ' + data.channel);
    $('#performance-device').text('Device: ' + data.device);
    $('#performance-build-number').text('Build Number: ' + data.build_number);
    changelog = 'http://people.canonical.com/~lzemczak/landing-team/' + data.channel + '/' + data.device
    $('#performance-changelog').append('Changelog: <a href="' + changelog + '">link</a>');

    charts = data.charts
    for (var chart in charts) {
        title = charts[chart].title
        path = "./data/" + basename(charts[chart].path)
        id = title.toLowerCase() + "-performance-section"
        section = '<div class="perf-elem" id="' + id + '" parent-section="performance-section"><h2>' + title + '</h2><img src="' + path + '"/></div>'

        if(charts[chart].subsection == "reboot")
            $( "#performance-subsection-reboot" ).append(section);
        if(charts[chart].subsection == "applaunch")
            $( "#performance-subsection-applaunch" ).append(section);
        if(charts[chart].subsection == "dash"){
            if(title.indexOf("Horizontal") > -1){
                $( "#performance-subsection-dash-horizontal-scrolling" ).append(section);
            }else{
                $( "#performance-subsection-dash-vertical-scrolling" ).append(section);
            }
        }
    }
}

function process_performance_errors(data) {
    process_errors("#performance-errors-title", data)
}
