

function drawScalabilitySection(firstDraw) {
    $.getJSON("./data/scalability_report.json", function(data) {
        if (firstDraw){
            process_scalability_data(data);
        }
    }).fail(function(data, status) {
        console.log("Hiding Scalability section");
        $("#scalability-section").hide();
        $("#scalability-link").hide();
    });
       $.getJSON("./data/scalability_errors.json", function(data) {
        if (firstDraw){
            process_scalability_errors(data);
        }
    }).fail(function(data, status) {
        console.log("Hiding Scalability section");
        $("#scalability-errors-subsection").hide();
    });

}

function process_scalability_data(data) {
    $('#scalability-channel').text('Channel: ' + data.channel);
    $('#scalability-device').text('Device: ' + data.device);
    $('#scalability-build-number').text('Build Number: ' + data.build_number);
    changelog = 'http://people.canonical.com/~lzemczak/landing-team/' + data.channel + '/' + data.device
    $('#scalability-changelog').append('Changelog: <a href="' + changelog + '">link</a>');

    charts = data.charts
    for (var chart in charts) {
        title = charts[chart].title
        path = "./data/" + basename(charts[chart].path)
        id = title.toLowerCase() + "-scalability-section"
        section = '<div class="perf-elem" id="' + id + '" parent-section="scalability-section"><h2>' + title.replace('_', ' ') + '</h2><img src="' + path + '"/></div>'
        $( "#ScalabilityTable" ).append(section);

        link = '<li><a href="#' + id + '">' + title.replace('_', ' ') + '</a></li>'
        $( "#scalability-sublinks" ).append(link);
    }
}

function process_scalability_errors(data) {
    process_errors("#scalability-errors-title", data)
}