

function testPlansTable(data, selector) {
    var tableData = data.map(function(obj) {
        return [
	    obj.id,
	    "<a href='#test-plan-modal-" + obj.id + "'>" + obj.name + "</a>",
	    obj.Application,
	    obj['Test Domain'],
        ];
    });
    $(selector).dataTable( {
        data: tableData,
        columns: [
	    { title: 'ID' },
            { title: 'Name' },
            { title: 'Application' },
	    { title: 'Domain' },
        ],
	searching: true,
	order: [[0, 'dsc']],
	bDestroy: true,
    });
}

function drawTestPlanModal(data, testPlanId) {
    var template = $('#test-plan-template').html();
    var testPlan = data.find(function(element, index, array) {
        return (element.id == testPlanId);
    });
    testPlan.testPlanId = testPlan.id;
    if (typeof testPlan['Test Domain'] === 'string') {
	testPlan['Test Domain'] = JSON.parse(testPlan['Test Domain']);
    }
    if (typeof testPlan['Devices'] === 'string') {
	testPlan['Devices'] = JSON.parse(testPlan['Devices']);
    }
    var html = Mustache.to_html(template, testPlan);
    $('#test-plan-modal-anchor').html(html);
}

var testPlanData = null;

function drawTestPlansSection() {
    $.getJSON("./data/test-plans.json", function(data) {
	    testPlanData = data;
        testPlansTable(data, "#testPlansTable");
    }).fail(function(data, status) {
        console.log("Hiding Test Plan section");
        $("#test-plans-section").hide();
        $("#test-plans-link").removeAttr("href");
    })
    ;
}
