# UESQA Metrics
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import unittest
from unittest import mock

import qakit.metrics.test_library as test_library


@mock.patch('qakit.metrics.practitest.tests.update_tests')
class TestLibraryTestCase(unittest.TestCase):

    def test_update_test_library_data(self, mock_update_tests):
        fake_db = mock.Mock()
        test_library.update_test_library_data(
            fake_db, 'fake-practitest-session')
        mock_update_tests.assert_called_with(
            fake_db, 'fake-practitest-session')
