
# PractiSanity
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import hashlib
import time


def compose_headers(api_key, api_secret_key, content_type='application/json'):
    """Return auth headers incorporating give api key details."""
    ts = str(int(time.time()))
    signature = hashlib.md5(
        (api_key+api_secret_key+ts).encode()).hexdigest()
    auth_header = {
        'Authorization':
            'custom api_key={}, signature={}, ts={}'.format(
                api_key, signature, ts)
    }
    if content_type is not None:
        auth_header['Content-Type'] = content_type
    return auth_header
