
# PractiSanity
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import subunit
import testtools


def parse_subunit_results(filepath):
    """Parse the subunit file at the given path."""
    stream = open(filepath, 'rb')
    stream_result = subunit.ByteStreamToStreamResult(stream)
    result_list = []
    def handle_test(test_dict):
        result_list.append(test_dict)
    dict_result = testtools.StreamToDict(handle_test)
    dict_result.startTestRun()
    try:
        stream_result.run(dict_result)
    finally:
        dict_result.stopTestRun()
    return result_list


def get_sanity_suite_test_by_name(test_name, sanity_suite_results):
    """Returns the named test from the given subunit suite."""
    for result in sanity_suite_results:
        if result['id'] == test_name:
            return result
    return None
