
# PractiSanity
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import unittest
from unittest import mock

from qakit.practitest.practisubunit import PractiSubunitSession
from qakit.practitest.tests.test_practitest import TEST, TESTS


class PractiSubunitSessionTestCase(unittest.TestCase):

    def setUp(self):
        super().setUp()
        self.practisubunit_session = PractiSubunitSession(
            42, 'fake_api_key', 'fake_api_secret_key')


class GetInstanceSanitySuiteNameTestCase(PractiSubunitSessionTestCase):

    def test_get_instance_sanity_suite_name(self):
        instance = {
            'name': ('Complete wizard successfully '
                     '(English, SIM inserted, Wi-Fi connected)'),
            'run_status': {'name': 'Run Status', 'value': 'PASSED'},
            'last_run': {'name': 'Last Run', 'value': '27-Feb-2015  00:44'},
            'system_id': 1188312,
            'id': '24:1'
        }
        test_name = ('ubuntu_sanity_tests.tests.test_settings_wizard.'
                     'SettingsWizardTestCase.test_complete_settings_wizard')
        with mock.patch.object(self.practisubunit_session,
                               'get_test',
                               return_value=TEST):
            result = self.practisubunit_session.get_instance_custom_field(
                instance, "External ID", TESTS)
        self.assertEqual(test_name, result)
