# PractiSubunit
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import unittest
from unittest import mock

import qakit.practitest.report_subunit_results_to_practitest as report


@mock.patch('qakit.practitest.report_subunit_results_to_practitest.input',
            create=True)
class ConfirmNameOfTestset(unittest.TestCase):

    mock_practisubunit_session = mock.Mock(
        get_testset=mock.Mock(
            return_value={'name': 'fake_name',
                          'assigned_to': {'value': 'fake_value'}}))

    def test_confirm_name_of_testset(self, mock_input):
        mock_input.return_value = "Y"
        self.assertTrue(
            report._confirm_name_of_testset(
                24,
                self.mock_practisubunit_session))

    def test_confirm_name_of_testset_false(self, mock_input):
        mock_input.return_value = "n"
        self.assertFalse(
            report._confirm_name_of_testset(
                24,
                self.mock_practisubunit_session))

    def test_confirm_name_of_testset_gibberish(self, mock_input):
        mock_input.return_value = "GIBBERISH"
        self.assertTrue(
            report._confirm_name_of_testset(
                24,
                self.mock_practisubunit_session))
