
# PractiSubunit
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import unittest

import qakit.practitest.subunit_results as subunit


class GetSubunitSuiteTestByName(unittest.TestCase):

    def test_get_subunit_test_by_name(self):
        test_name = ('ubuntu_sanity_tests.tests.test_bluetooth.'
                     'BluetoothTestCase.test_disconnected_list_populates')
        subunit_results = subunit.parse(
            os.path.join(os.path.dirname(__file__),
                         'test-results.subunit'))
        result = subunit.get_subunit_test_by_name(
            test_name,
            subunit_results)
        self.assertEqual(test_name, result['id'])

    def test_get_subunit_test_by_name_gibberish(self):
        test_name = 'exploding_osk.really.this_would_never_be_a_test_name'
        subunit_results = subunit.parse(
            os.path.join(os.path.dirname(__file__),
                         'test-results.subunit'))
        result = subunit.get_subunit_test_by_name(
            test_name,
            subunit_results)
        self.assertEqual(None, result)
