# qakit - tools for UEQA engineers
# Copyright (C) 2014 Thomi Richards
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


import os.path

from testtools import TestCase
from testtools.matchers import SamePath

from qakit import config


class ConfigFileLocationTests(TestCase):

    def test_returns_correct_filename(self):
        self.assertEqual(
            os.path.basename(config.get_config_file_location()),
            'qakit.ini'
        )

    def test_returns_correct_directory(self):
        self.assertThat(
            os.path.dirname(config.get_config_file_location()),
            SamePath(os.path.expanduser('~/.config'))
        )


def test_suite():
    from unittest import TestLoader
    return TestLoader().loadTestsFromName(__name__)
