
function createdCellFtn(cell, cellData, rowData, rowIndex, colIndex) {
    if (cellData.skipped == true) {
	// skipped tests get dashed borders
    	$(cell).css('border-style', 'dashed');
	$(cell).css('border-width', 'medium');
    } else {
	// tests get colors
        $(cell).css('background-color', cellData.color);
    };
    if (colIndex > 2) {
	$(cell).html("<a href=" + cellData.link + ">&nbsp;</a>");
    } else if (colIndex == 2) {
	// no links in the trend column pls
	$(cell).html("");
    };
}

function visTable(data, selector) {
    var tableData = data.data.map(function(obj) {
	var row = [ obj.section, obj.test_name ];
	row.push(obj.trend);
	obj.builds.forEach(function(build) {
            row.push(build);
	});
        return row;
    });
    var tableColumns = data.header.map(function(obj) {
	return {
            title: obj,
            createdCell: createdCellFtn,
            orderable: false,
            searchable: false,
	    // hide Section column
	    visible: (obj == 'Section' ? false : true),
	};
    });
    $(selector).dataTable({
        data: tableData,
	columns: tableColumns,
	searching: false,
	order: [[0, 'dsc']],
	bDestroy: true,
	lengthChange: false,
	lengthMenu: [-1],
    });
}

function draw(filename) {
    $.getJSON(filename, function(data) {
        visTable(data, "#visTable");
    }).fail(function(data, status) {
        console.log("Faled to load vis JSON.");
    });
}
