#!/usr/bin/env python3
# UEQA VIS
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import unittest
import unittest.mock as mock

import qakit.vis.retrieve_jenkins_results as retrieve


JOB_NAMES = [
    'ust_rc-proposed_krillin_sanity',
    'ust_rc-proposed_krillin_regression',
    'ust_rc-proposed_arale_sanity',
    'foo',
]


class RegexTestCase(unittest.TestCase):

    def test_vanilla(self):
        result = retrieve.filter_job_names(JOB_NAMES, 'ust_')
        self.assertEqual(
            ['ust_rc-proposed_krillin_sanity',
             'ust_rc-proposed_krillin_regression',
             'ust_rc-proposed_arale_sanity'],
            result)

    def test_just_krillin(self):
        result = retrieve.filter_job_names(JOB_NAMES, 'krillin')
        self.assertEqual(
            ['ust_rc-proposed_krillin_sanity',
             'ust_rc-proposed_krillin_regression'],
            result)
