# qakit - tools for UEQA engineers
# Copyright (C) 2014-2015 Canonical
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


import sys
from setuptools import setup, find_packages
import qakit

setup(
    name='qakit',
    version=qakit.__version__,
    description="Tools for the UES QA dept.",
    packages=find_packages(),
    package_data={'qakit': ['practitest/tests/test-results.subunit']},
    author="Allan LeSage",
    author_email="allan.lesage@canonical.com",
    tests_require=['testtools'],
    install_requires=[
        'python-dateutil',
        'python-subunit',
        'requests',
    ],
    entry_points={
        'console_scripts': [
            ('subunit-practitest-export = '
             'qakit.practitest.report_subunit_results_to_practitest:main'),
            ('parse-app-startup = '
             'qakit.perf.parse_startup_times:main'),
        ]
    }
)
